<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title">Pilih NOMOR BBK </h6>
    </div>
    <div class="modal-body">
        <p-dataTable 
            [value]="unionBBK" 
            [editable]="false" 
            [rows]="itemsPerPage" 
            [paginator]="true"
            [pageLinks]="5" 
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems" 
            [responsive]="true"
            [lazy]="true" 
            [(selection)]="selected" 
            dataKey="no_bbk" 
            (onLazyLoad)="loadDataLazy($event)"
            [(first)]="first">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nomor BBK">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="single" [style]="{'width':'38px'}"></p-column>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor BBK">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bbk}}
                </ng-template>
            </p-column>
            <p-column header="Divisi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.div}}
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" label="{{'entity.action.select' | translate}}" icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>